/*  
 *   Hello World
 *   This is a simple program that blinks 'Hello World' 
 *   This for the Arduino compatible TinyScreen+ by http://tiny-circuits.com
 *   
 *   This example is in the public domain.
 *   Published 29 Feb 2016
 *   by O Watch http://theowatch.com 
 *   
 */

#include <TinyScreen.h>     //Include TinyScreen library

TinyScreen display = TinyScreen(TinyScreenPlus);    //Set TinyScreen board type

int delaytime = 1000;       //Declaring a variable to set the delay between text blink

// The setup function runs once when you power on the board
void setup() 
{
  display.begin();                            //Initializes TinyScreen board
  display.setFlip(1);                         //Flips the TinyScreen rightside up for O Watch
  display.on();                               //Turns TinyScreen display on
  display.setFont(liberationSansNarrow_12ptFontInfo);   //Set the fornt type
  display.fontColor(TS_8b_Blue,TS_8b_Black);            //Set the font color, font background
  display.setBrightness(10);                  //Set display brightness 0 - 15
}

// the loop function runs over and over again forever
void loop() 
{
  display.setCursor(15,25);       //set the cursor to x, y position, where to start next print/draw instruction
  display.print("Hello World!");  //print command
  delay(delaytime);                    //delay for 1000 milliseconds or one second
  display.clearScreen();          //clears the screen blank
  delay(delaytime);                    //delay again for one second
}


